# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_DrawableP3D Class Reference

`#include <TestTopOpeDraw_DrawableP3D.hxx>`

Inheritance diagram for TestTopOpeDraw_DrawableP3D:

[legend]

## Public Member Functions

Standard_EXPORT | TestTopOpeDraw_DrawableP3D (const gp_Pnt &P, const Draw_Color &PColor, const Standard_Real moveX=0.0, const Standard_Real moveY=0.0)
Standard_EXPORT | TestTopOpeDraw_DrawableP3D (const gp_Pnt &P, const Draw_Color &PColor, const Standard_CString Text, const Draw_Color &TextColor, const Standard_Real moveX=0.0, const Standard_Real moveY=0.0)
Standard_EXPORT | TestTopOpeDraw_DrawableP3D (const gp_Pnt &P, const Draw_MarkerShape T, const Draw_Color &PColor, const Standard_CString Text, const Draw_Color &TextColor, const Standard_Integer Size=2, const Standard_Real moveX=0.0, const Standard_Real moveY=0.0)
Standard_EXPORT | TestTopOpeDraw_DrawableP3D (const gp_Pnt &P, const Draw_MarkerShape T, const Draw_Color &PColor, const Standard_CString Text, const Draw_Color &TextColor, const Standard_Real Tol, const Standard_Real moveX=0.0, const Standard_Real moveY=0.0)
Standard_EXPORT void | ChangePnt (const gp_Pnt &P)
virtual Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Pnt | myPnt
Standard_CString | myText
Draw_Color | myTextColor
Standard_Real | myMoveX
Standard_Real | myMoveY
Handle_Draw_Text3D | myText3D

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeDraw_DrawableP3D::TestTopOpeDraw_DrawableP3D | ( | const gp_Pnt & | P,
|  | const Draw_Color & | PColor,
|  | const Standard_Real | moveX = `0.0`,
|  | const Standard_Real | moveY = `0.0`
| ) |

Standard_EXPORT TestTopOpeDraw_DrawableP3D::TestTopOpeDraw_DrawableP3D | ( | const gp_Pnt & | P,
|  | const Draw_Color & | PColor,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor,
|  | const Standard_Real | moveX = `0.0`,
|  | const Standard_Real | moveY = `0.0`
| ) |

Standard_EXPORT TestTopOpeDraw_DrawableP3D::TestTopOpeDraw_DrawableP3D | ( | const gp_Pnt & | P,
|  | const Draw_MarkerShape | T,
|  | const Draw_Color & | PColor,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor,
|  | const Standard_Integer | Size = `2`,
|  | const Standard_Real | moveX = `0.0`,
|  | const Standard_Real | moveY = `0.0`
| ) |

Standard_EXPORT TestTopOpeDraw_DrawableP3D::TestTopOpeDraw_DrawableP3D | ( | const gp_Pnt & | P,
|  | const Draw_MarkerShape | T,
|  | const Draw_Color & | PColor,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor,
|  | const Standard_Real | Tol,
|  | const Standard_Real | moveX = `0.0`,
|  | const Standard_Real | moveY = `0.0`
| ) |

## Member Function Documentation

Standard_EXPORT void TestTopOpeDraw_DrawableP3D::ChangePnt | ( | const gp_Pnt & | P | ) |

virtual Standard_EXPORT void TestTopOpeDraw_DrawableP3D::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Reimplemented from Draw_Marker3D.

Standard_EXPORT const TestTopOpeDraw_DrawableP3D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Marker3D.

## Field Documentation

Standard_Real TestTopOpeDraw_DrawableP3D::myMoveX `[private]`

Standard_Real TestTopOpeDraw_DrawableP3D::myMoveY `[private]`

gp_Pnt TestTopOpeDraw_DrawableP3D::myPnt `[private]`

Standard_CString TestTopOpeDraw_DrawableP3D::myText `[private]`

Handle_Draw_Text3D TestTopOpeDraw_DrawableP3D::myText3D `[private]`

Draw_Color TestTopOpeDraw_DrawableP3D::myTextColor `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_DrawableP3D.hxx